Bug 1246606 - [RFE] Pulp can lazily fetch yum repositories
Summary: [RFE] Pulp can lazily fetch yum repositories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-24 17:11 UTC by Brian Bouterse
Modified: 2019-09-25 21:16 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:16:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 1150 High CLOSED - NOTABUG As a user, I can lazily fetch repositories 2016-11-28 18:32:59 UTC
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Brian Bouterse 2015-07-24 17:11:47 UTC
This feature should be available on both a server or a node. It would allow the server or node to act as a caching proxy. For now, lets call this lazy loading. In this model, the server (or a node), would have recent copies of the metadata. However, it would not actually sync the package from the feed location until they are requested by a client. This would allow for only the content being used to be pulled down to the file system and for repositories to be created by only downloading the metadata.

Comment 2 pulp-infra@redhat.com 2015-07-24 17:30:17 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2015-07-24 17:30:18 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 8 jcallaha 2016-04-05 20:28:41 UTC
Verified in Satellite 6.2 Beta Snap 6 Compose 1.

While lazy sync still has some outstanding issues, I am satisfied that is has already fulfilled this RFE.

Comment 10 errata-xmlrpc 2016-07-27 09:16:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Comment 11 pulp-infra@redhat.com 2016-11-28 18:33:00 UTC
The Pulp upstream bug status is at CLOSED - NOTABUG. Updating the external tracker on this bug.


Note You need to log in before you can comment on or make changes to this bug.